Skip to main content
POST
Revoke an API key

Authorizations

Authorization
string
header
required

Cactal API key. Create one in the dashboard or via POST /apiKeys. The plaintext key is shown once at creation.

Path Parameters

apiKeyId
string
required
Minimum string length: 1

Response

The revoked key metadata.

id
string
required

Unique id of the API key.

name
string
required

Human-readable label, 1–200 characters.

organizationId
string
required

Id of the organization that owns the key.

access
object
required

Access configuration of an API key: either one organization-wide role, or one role across an explicit set of websites. The owner role can never be granted to an API key.

expiresAt
string<date-time> | null
required

When the key stops authenticating. null when it never expires.

revokedAt
string<date-time> | null
required

When the key was revoked. null while the key is active.

createdAt
string<date-time>
required

When the key was created.